create TABLE if not exists postprocessing.wfhds_product (
  product_id int4 null,
  demo_id int4 NULL,
  sequence_length int2 NULL,
  round_order int2 NULL,
  sequence_id int4 NULL,
  sequence_number int2 NULL,
  weapon_fire_id int4 NULL,
  playerhurt_id int4 NULL,
  attacker_steam_id int8 NULL,
  attacker_x float4 NULL,
  attacker_y float4 NULL,
  attacker_z float4 NULL,
  attacker_pitch float4 NULL,
  attacker_yaw float4 NULL,
  health_dmg int2 NULL,
  armor_dmg int2 null,
  hitgroup int2 null,
  attacker_side int2 NULL,
  target_side int2 NULL,
  target_steam_id int8 NULL,
  attacker_vel0 float4 NULL,
  attacker_vel1 float4 NULL,
  attacker_vel2 float4 NULL,
  attacker_boolean_mask int2 NULL,
  attacker_zoom_level int2 NULL,
  attacker_health int2 NULL,
  attacker_armor int2 NULL,
  target_health int2 NULL,
  target_armor int2 NULL,
  target_x float4 NULL,
  target_y float4 NULL,
  target_z float4 NULL,
  target_pitch float4 NULL,
  target_yaw float4 NULL,
  target_vel0 float4 NULL,
  target_vel1 float4 NULL,
  target_vel2 float4 NULL,
  target_boolean_mask int2 NULL,
  target_zoom_level int2 NULL,
  CONSTRAINT wfhds_fk foreign key(product_id) references postprocessing.products on delete cascade
);

grant all on table postprocessing.wfhds_product to public;

create index if not exists wfhds_product_index on postprocessing.wfhds_product(attacker_steam_id, hitgroup, target_health, sequence_number, sequence_id, product_id);
